# $Revision: 1.59 $, $Date: 2011/08/31 18:32:10 $
Summary:	Popular Unix Irc client
Summary(de.UTF-8):	Beliebter Unix-IRC-Client
Summary(fr.UTF-8):	Client irc UNIX populaire
Summary(pl.UTF-8):	Popularny uniksowy klient IRC
Summary(tr.UTF-8):	Yaygın Unix Irc istemcisi
Name:		ircii
Version:	20081115
Release:	2
License:	BSD
Group:		Applications/Networking
Vendor:		IRCII Bugs <ircii-bugs@ircii.eterna.com.au>
Source0:	ftp://ircii.warped.com/pub/ircII/%{name}-%{version}.tar.gz
# Source0-md5:	d2207ddaafe68f31828d4c45a5452f67
Source1:	%{name}.desktop
Patch0:		%{name}-config.patch
URL:		http://www.eterna.com.au/ircii/
BuildRequires:	autoconf
BuildRequires:	ncompress
BuildRequires:	ncurses-devel >= 5.1
Requires:	ncompress
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ircii-help

%description
This is a popular Internet Relay Chat (IRC) client. It is a program
used to connect to IRC servers around the globe so that the user can
``chat'' with others.

%description -l de.UTF-8
Dies ist ein beliebter IRC-Client (Internet Relay Chat). Sie können
eine Verbindung zu einem beliebigen IRC-Server aufbauen und mit
anderen Benutzern 'chatten'.

%description -l fr.UTF-8
Le très poulaire client Internet Relay Chat (IRC). C'est un programme
utilisé pour se connecter aux serveurs IRC à travers le monde entier
et ``bavarder'' avec les autres.

%description -l pl.UTF-8
Ircii to popularny klient IRC (Internet Relay Chat). Służy do łączenia
się z serwerami IRC dookoła globu tak, by użytkownicy mogli ze sobą
rozmawiać.

%description -l tr.UTF-8
Bu, yaygın kullanılan bir IRC (Internet Relay Chat) istemcisidir.
Dünya üzerinde herhangi bir IRC sunucusuna bağlantı sağlar; bağlantı
sağlandıktan sonra kullanıcı diğer insanlarla sohbet edebilir.

%prep
%setup  -q
%patch0 -p1

%build
%configure2_13 \
	--with-paranoid \
	--enable-ipv6 \
	--with-default-server="irc.pld-linux.org poznan.irc.pl wroclaw.irc.pl warszawa.irc.pl krakow.irc.pl lublin.irc.pl" \
	--with-cast
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/irc,%{_desktopdir}}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/irc-%{version} $RPM_BUILD_ROOT%{_bindir}/ircii
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
chmod -R a=rX,u=rwX $RPM_BUILD_ROOT%{_datadir}/irc

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/irc.1
echo ".so ircII.1" > $RPM_BUILD_ROOT%{_mandir}/man1/irc.1


%post
if [ ! -f /etc/irc/ircII.servers ]; then
	if [ ! -d /etc/irc ]; then
		install -d /etc/irc
		chmod 755 /etc/irc
	fi
cat  << EOF > /etc/irc/ircII.servers
irc.pld-linux.org:6667
warszawa.irc.pl:6667
lublin.irc.pl:6667
krakow.irc.pl:6667
poznan.irc.pl:6667
wroclaw.irc.pl:6667
EOF
	chown root:root /etc/irc/ircII.servers
	chmod 644 /etc/irc/ircII.servers
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README ChangeLog
%attr(755,root,root) %{_bindir}/*ircii
%attr(755,root,root) %dir %{_sysconfdir}/irc
%attr( - ,root,root) %{_datadir}/irc
%{_desktopdir}/*.desktop
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ircii.spec,v $
Revision 1.59  2011/08/31 18:32:10  arekm
- release 2

Revision 1.58  2011/01/29 00:06:46  sparky
- dropped pre-cvs changelog

Revision 1.57  2011/01/27 11:11:57  madget
- up to 20081115

Revision 1.56  2007/04/01 00:12:49  arekm
- up to 20060725

Revision 1.55  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.54  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.53  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.52  2005/05/23 12:38:11  ankry
- manpage fix, rel. 3

Revision 1.51  2004/10/29 14:34:58  paladine
- pl fixes

Revision 1.50  2004/10/29 14:13:47  paladine
- unifications

Revision 1.49  2004/10/06 19:37:24  darekr
- added URL

Revision 1.48  2004/08/31 16:25:22  darekr
- updated to 20040820

Revision 1.47  2004/07/04 14:02:56  havner
- applnk -> vfolders

Revision 1.46  2004/06/14 08:46:55  hawk
- updated to 20040216

Revision 1.45  2004/01/20 01:55:11  domelu
- added ircserver irc.pld-linux.org
- release 3; STBR Ac

Revision 1.44  2003/11/23 04:54:52  speedy
- release 2 for ac

Revision 1.43  2003/08/06 18:30:18  blues
- cosmetics

Revision 1.42  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.41  2003/07/15 12:59:06  misi3k
- updated to 20030709

Revision 1.40  2003/05/28 12:59:12  malekith
- massive attack: source-md5

Revision 1.39  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/03/24 21:23:17  misi3k
- security update to 20030315
- patch1 removed (not needed)
bug:
ircII Client-Side Private Message Handling Memory Corruption Vulnerability

Revision 1.37  2002/04/25 16:37:35  arturs
fixed a small typo

Revision 1.36  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.34  2001/11/15 16:54:41  blues
- release 3
- configure2_13 used
- fix in install

Revision 1.33  2001/02/17 01:31:07  michuz
- release 2
- %%{_applnk}/Network/IRC changed to Communications

Revision 1.32  2000/11/23 13:21:09  misiek
add more irc servers ie wroclaw.irc.pl

Revision 1.31  2000/10/23 10:30:07  misiek
updated to Z version

Revision 1.30  2000/09/20 21:58:36  kloczek
- adapterized.

Revision 1.29  2000/09/20 14:34:31  misiek
added buffer patch

Revision 1.28  2000/08/22 23:15:08  marcus
- new version 4.4X
- added wserv-ircii,ircbug-ircii,ircio-ircii,wserv-ircii files in binary
  package in /usr/bin/ directory

Revision 1.27  2000/08/20 23:52:33  kloczek
- .wmconfig file replaced by .desktop,
- spec adapterized,
- removed ircii-%%{version} fron %%{_bindir},
- removed INSTALL from %doc (install procedure is implemented in this files
  :->),
-  %install and %build cleaned.

Revision 1.26  2000/08/20 23:13:54  marcus
- added gethostname_is_in_libc_aka_no_libnsl patch - now ircii is not linked
  with libnsl.

Revision 1.25  2000/07/13 23:11:14  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.24  2000/07/13 20:43:00  baggins
- release 2

Revision 1.23  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.22  2000/04/07 13:15:25  misiek
- updated to S-version

Revision 1.21  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.19  2000/02/04 12:12:12  misiek
- updated to 'M' (IPv6 support included)

Revision 1.18  1999/11/09 07:19:17  kura

- changed Group to Applications/Networking
- fixed pl translation

Revision 1.17  1999/09/05 12:23:17  kloczek
- cosmetics.

Revision 1.16  1999/09/03 16:20:49  misiek
- updated to 'L' version

Revision 1.15  1999/08/04 01:43:28  kloczek
- reorders.

Revision 1.14  1999/08/02 10:11:30  misiek
update/new specs

Revision 1.13  1999/07/31 16:32:13  misiek
need more work

Revision 1.12  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).
